EDITMAP(8)                                                          EDITMAP(8)



NNAAMMEE
       eeddiittmmaapp - query and edit single records in database maps for sendmail

SSYYNNOOPPSSIISS
       eeddiittmmaapp  [--CC  _f_i_l_e]  [--NN]  [--ff] [--qq||--uu||--xx] maptype mapname key [ "value
       ..." ]

DDEESSCCRRIIPPTTIIOONN
       EEddiittmmaapp queries or edits one record in database maps used by the  keyed
       map  lookups  in sendmail(8).  Arguments are passed on the command line
       and output (for queries) is directed to standard output.

       Depending on how it is compiled, eeddiittmmaapp handles up to three  different
       database formats, selected using the _m_a_p_t_y_p_e parameter.  They may be

       dbm    DBM format maps.  This requires the ndbm(3) library.

       btree  B-Tree  format maps.  This requires the new Berkeley DB library.

       hash   Hash format maps.  This also requires the Berkeley DB library.

       If the _T_r_u_s_t_e_d_U_s_e_r option is set in the sendmail configuration file and
       eeddiittmmaapp  is  invoked  as root, the generated files will be owned by the
       specified _T_r_u_s_t_e_d_U_s_e_r_.

   FFllaaggss
       --CC     Use the specified sseennddmmaaiill configuration file for looking up the
              TrustedUser option.

       --NN     Include  the  null  byte that terminates strings in the map (for
              alias maps).

       --ff     Normally all upper case letters in the key are folded  to  lower
              case.   This  flag disables that behaviour.  This is intended to
              mesh with the -f flag in the KK line in sendmail.cf.   The  value
              is never case folded.

       --qq     Query  the  map for the specified key.  If found, print value to
              standard output and exit with 0.  If not  found  then  print  an
              error message to stdout and exit with EX_UNAVAILABLE.

       --uu     Update  the record for _k_e_y with _v_a_l_u_e or inserts a new record if
              one doesn't exist.  Exits with 0 on success or EX_IOERR on fail-
              ure.

       --xx     Deletes  the specific key from the map.  Exits with 0 on success
              or EX_IOERR on failure.


       SSEEEE AALLSSOO
              sendmail(8), makemap(8)

HHIISSTTOORRYY
       The eeddiittmmaapp command has no history.



                         $Date: 2003/02/01 17:07:42 $               EDITMAP(8)
